# Uses of Class
org.apache.solr.common.util.SimpleOrderedMap

Packages that use SimpleOrderedMap
Package
Description
org.apache.solr.common
Common classes reused on both clients & server for dealing with `documents to be indexed` and `result documents`.
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of SimpleOrderedMap in org.apache.solr.common

Methods in org.apache.solr.common that return SimpleOrderedMap
Modifier and Type
Method
Description
`SimpleOrderedMap<String>`
ToleratedUpdateError.`getSimpleMap()`
returns a map of simple objects suitable for putting in a SolrQueryResponse header
Methods in org.apache.solr.common that return types with arguments of type SimpleOrderedMap
Modifier and Type
Method
Description
`static List<SimpleOrderedMap<String>>`
ToleratedUpdateError.`formatForResponseHeader(List<ToleratedUpdateError> errs)`
returns a list of maps of simple objects suitable for putting in a SolrQueryResponse header
Methods in org.apache.solr.common with parameters of type SimpleOrderedMap
Modifier and Type
Method
Description
`static ToleratedUpdateError`
ToleratedUpdateError.`parseMap(SimpleOrderedMap<String> data)`
returns a ToleratedUpdateError instance from the data in this Map

## Uses of SimpleOrderedMap in org.apache.solr.common.util

Methods in org.apache.solr.common.util that return SimpleOrderedMap
Modifier and Type
Method
Description
`SimpleOrderedMap<T>`
SimpleOrderedMap.`clone()`
`static SimpleOrderedMap<Object>`
SimpleOrderedMap.`of()`
Returns a shared, empty, and immutable instance of `SimpleOrderedMap`.
`static <T> SimpleOrderedMap<T>`
SimpleOrderedMap.`of(String name, T val)`
Returns an immutable instance of `SimpleOrderedMap` with a single key-value pair.
`SimpleOrderedMap<Object>`
JavaBinCodec.`readOrderedMap(DataInputInputStream dis)`